Skip to main content
PUT
Update communication campaign

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ecoMailHubCampaign
integer
required

Communication campaign ID.

Body

application/json
template_id
integer
required
Example:

15

group_id
integer
required
Example:

21

frequency
enum<string>
required
Available options:
once,
daily,
weekly,
monthly
Example:

"weekly"

start_date
string<date>
required

Must be tomorrow or later and no more than one year from today.

Example:

"2026-07-13"

end_date
string<date> | null

Required for daily, weekly, and monthly campaigns. Must be on or after start_date and no more than one year after start_date.

Example:

"2026-08-13"

day_of_week
integer | null

Required when frequency is weekly. Uses 0 for Sunday through 6 for Saturday.

Required range: 0 <= x <= 6
Example:

1

day_of_month
integer | null

Required when frequency is monthly.

Required range: 0 <= x <= 31
Example:

15

Response

Communication campaign updated.

message
string
required
data
object
required
Last modified on July 19, 2026